/****************************************************************************
Copyright 2015-2020, Enrique Sergio Burgos

This file is part of GUI Editor for Octave.

GUI Editor for Octave is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

GUI Editor is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GUI Editor.  If not, see <http://www.gnu.org/licenses/>.
****************************************************************************/
#include "dlgprjprop.h"
#include "ui_dlgprjprop.h"
#include <QMessageBox>

dlgPrjProp::dlgPrjProp(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::dlgPrjProp)
{
    ui->setupUi(this);
}

dlgPrjProp::~dlgPrjProp()
{
    delete ui;
}

void dlgPrjProp::on_btnAddMsg_clicked()
{
    if(ui->leWarnMsg->text().length() > 0){
        if(ui->leWarnMsg->text().count(" ") > 0){
            QMessageBox::warning(this, tr("String identification"), tr("The string identification must not contain white space"));
        }
        ui->lstWarnMsg->addItem(ui->leWarnMsg->text());
        ui->leWarnMsg->clear();
    }
}

void dlgPrjProp::on_btnDelMsg_clicked()
{
    if(ui->lstWarnMsg->selectedItems().count() == 0){
        QMessageBox::warning(this, tr("Delete warning message"), tr("You must select a message from list to remove it."));
    }
    else{
        QList<QListWidgetItem *> selected = ui->lstWarnMsg->selectedItems();
        QList<QListWidgetItem *>::iterator it;
        for(it = selected.begin(); it != selected.end(); it++){
            delete ui->lstWarnMsg->takeItem(ui->lstWarnMsg->row(*it));
        }
    }
}
